
QGIS Application - Bug report #22111

Missing algo

2019-05-21 09:32 AM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29924

Description

RuntimeError: wrapped C/C++ object of type ORSdirectionsPointsAlgo has been deleted 

Traceback (most recent call last):

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ORStools\proc\provider.py", line 60, in

loadAlgorithms

    self.addAlgorithm(alg)

RuntimeError: wrapped C/C++ object of type ORSdirectionsPointsAlgo has been deleted

Версия Python: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

Версия: 3.6.3-Noosa Noosa, 0c5774c068

Расположение Python:

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\contour

L:/qgis-3.6/apps/qgis/./python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

L:/qgis-3.6/apps/qgis/./python/plugins

L:\qgis-3.6\bin\python37.zip

L:\qgis-3.6\apps\Python37\DLLs

L:\qgis-3.6\apps\Python37\lib

L:\qgis-3.6\bin

L:\qgis-3.6\apps\Python37

L:\qgis-3.6\apps\Python37\lib\site-packages

L:\qgis-3.6\apps\Python37\lib\site-packages\win32

L:\qgis-3.6\apps\Python37\lib\site-packages\win32\lib

L:\qgis-3.6\apps\Python37\lib\site-packages\Pythonwin

History

#1 - 2019-05-21 10:21 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Looks like a ORSTools issue.  Please report it there.
